﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;

    var Notifications = Windows.UI.Notifications;


    WinJS.strictProcessing();

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // TODO: This application has been newly launched. Initialize
                // your application here.
            } else {
                // TODO: This application has been reactivated from suspension.
                // Restore application state here.
            }
            args.setPromise(WinJS.UI.processAll());

            btnBadge.addEventListener("click", function (e) {
                /*
                var badgeXml = Notifications.BadgeUpdateManager.getTemplateContent(Notifications.BadgeTemplateType.badgeGlyph);
                var badgeAttributes = badgeXml.getElementsByTagName("badge");
                badgeAttributes[0].setAttribute("value", "newMessage");
                */
                
                var badgeXml = Notifications.BadgeUpdateManager.getTemplateContent(Notifications.BadgeTemplateType.badgeNumber);
                var badgeAttributes = badgeXml.getElementsByTagName("badge");
                badgeAttributes[0].setAttribute("value", "7"); 
                


                var badgeNotification = new Notifications.BadgeNotification(badgeXml);
                Notifications.BadgeUpdateManager.createBadgeUpdaterForApplication().update(badgeNotification);

            });

            btnClearBadge.addEventListener("click", function (e) {
                Notifications.BadgeUpdateManager.createBadgeUpdaterForApplication().clear();
            });
        }
    };

    app.oncheckpoint = function (args) {
        // TODO: This application is about to be suspended. Save any state
        // that needs to persist across suspensions here. You might use the
        // WinJS.Application.sessionState object, which is automatically
        // saved and restored across suspension. If you need to complete an
        // asynchronous operation before your application is suspended, call
        // args.setPromise().
    };

    app.start();
})();
